Package org.apache.sling.models.annotations

# Annotation Interface Exporter

@Target(TYPE) @Retention(RUNTIME) public @interface Exporter
Annotation to declare an model exporter servlet mapping.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String[]`
`extensions`
Extensions under which the exporter servlet will be registered.
`String`
`name`
Exporter name.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`ExporterOption[]`
`options`
Optional list of exporter options.
`String`
`selector`
The selector name under which the exporter servlet will be registered.

## Element Details

### name

String name
Exporter name.

Returns:
  Name

### extensions

String[] extensions
Extensions under which the exporter servlet will be registered.

Returns:
  Extensions

### selector

String selector
The selector name under which the exporter servlet will be registered.

Returns:
  Selector

Default:
  "model"

### options

ExporterOption[] options
Optional list of exporter options.

Returns:
  Options

Default:
  {}